package com.patzn.lims.staff.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.staff.entity.LmsStaffLevel;
import com.patzn.lims.staff.vo.LmsStaffLevelVO;

import java.util.List;

/**
 * <p>
 * 人员管理-人员等级分类 服务类
 * </p>
 *
 * @author patzn
 * @since 2017-11-03
 */
public interface ILmsStaffLevelService extends IBaseService<LmsStaffLevel> {

    Page<LmsStaffLevelVO> page(Page<LmsStaffLevelVO> page, LmsStaffLevelVO vo);

    Page<LmsStaffLevelVO> pageRecursive(Page<LmsStaffLevelVO> page, LmsStaffLevelVO vo);

    List<LmsStaffLevel> list(LmsStaffLevel LmsStaffLevel);

    LmsStaffLevelVO getVOById(Long id);

    Boolean add(LmsStaffLevel lmsStaffLevel);

    Boolean edit(LmsStaffLevel lmsStaffLevel);

    List<LmsStaffLevel> listAllRank(LmsStaffLevel level);


}
